package exampleSetWidgets;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

/**
 * Program to demonstrate the two basic types of buttons: push buttons and
 * checkboxes.
 * <p>
 * For simplicity, the buttons do not have mnemonics enabled.
 * <p>
 * 
 * @see <a href="../DemoButtons.java">source code</a>
 * @author Scott MacKenzie, 2002; extensively modified MB, 2007
 */
public class DemoButtonsDifferentVersions {
	public static void main(String[] args) {
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				createAndShowGUI();
			}
		});
	}

	private static void createAndShowGUI() {
		// JFrame frame = new DemoButtonsFrameTwoTypes();
		//JFrame frame = new DemoButtonsFrameThreeTypes();
		//JFrame frame = new DemoButtonsFrameFourTypes();
		 JFrame frame = new DemoButtonsFrameFiveTypes();
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setTitle(frame.getClass().getName());
		frame.pack();
		frame.setVisible(true); // alternative: frame.show()
	}
}
